extends Node

signal event_completed
signal event_failed

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(_delta):
	if (Input.is_action_just_pressed("ui_accept")):
		event_completed.emit()
	if (Input.is_action_just_pressed("ui_cancel")):
		event_failed.emit()
